/**
 * @file
 * Angular app module file.
 */

(function () {
  'use strict';

  // Compatibility shim for getUserMedia.
  navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia;

  angular.module('PeerJSChat', [
    'ngResource',
    'ngSanitize',
    'ngAnimate'
  ])
    .constant('entity', Drupal.settings.peerjs.entity)
    .constant('baseUrl', Drupal.settings.peerjs.baseUrl)
    .constant('basePath', Drupal.settings.peerjs.basePath)
    .constant('modulePath', Drupal.settings.peerjs.modulePath)
    .constant('user', Drupal.settings.peerjs.user)
    .constant('options', Drupal.settings.peerjs.options)
    .constant('constraints', Drupal.settings.peerjs.constraints)

    .config(function ($httpProvider) {

      // Add Drupal RestWS module specific configuration.
      $httpProvider.defaults.headers.common['X-CSRF-Token'] = Drupal.settings.peerjs.restws_csrf_token;
      $httpProvider.defaults.headers.common['Content-Type'] = 'application/json';
    });
}());
